Bug 651007 - Merged snapshot still present and throwing I/O errors after reboot
Merged snapshot still present and throwing I/O errors after reboot
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.0
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Mike Snitzer
Corey Marthaler
: ZStream
Depends On: 645488
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-08 11:12 EST by RHEL Product and Program Management
Modified: 2010-12-08 02:12 EST (History)
15 users (show)

See Also:
Fixed In Version: lvm2-2.02.72-8.el6_0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-08 02:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-11-08 11:12:39 EST
This bug has been copied from bug #645488 and has been proposed
to be backported to 6.0 z-stream (EUS).
Comment 5 Corey Marthaler 2010-12-02 18:02:23 EST
I'm not positive that the following cmds are an exact verification of this bug, so I'm marking this verified (SanityOnly).

[root@grant-01 ~]# mount /dev/VG/origin  /mnt/fs/

[root@grant-01 ~]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/VG-origin
                      194M  1.6M  183M   1% /mnt/fs

[root@grant-01 ~]# lvconvert --merge VG/snap2
  Can't merge over open origin volume
  Merging of snapshot snap2 will start next activation.

[root@grant-01 ~]# umount /mnt/fs

[root@grant-01 ~]# vgchange -an VG
  0 logical volume(s) in volume group "VG" now active

[root@grant-01 ~]# vgchange --sysinit -ay VG
  2 logical volume(s) in volume group "VG" now active

[root@grant-01 ~]# lvs
  LV      VG         Attr   LSize   Origin Snap%  Move Log Copy%  Convert
  origin  VG         Owi-a- 200.00m          0.04
  snap    VG         swi-a-  20.00m origin  33.73

[root@grant-01 ~]# vgchange --refresh VG

[root@grant-01 ~]# lvs
  LV      VG         Attr   LSize   Origin Snap%  Move Log Copy%  Convert
  origin  VG         owi-a- 200.00m
  snap    VG         swi-a-  20.00m origin  33.73
Comment 7 errata-xmlrpc 2010-12-08 02:12:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0951.html

Note You need to log in before you can comment on or make changes to this bug.